Index: sasview/setup_mac.py
===================================================================
--- sasview/setup_mac.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ sasview/setup_mac.py	(revision d66dbcc8e869f27ec52bbe59173bde142f2c4a60)
@@ -11,23 +11,28 @@
    12/05/2011: Needs macholib >= 1.4.3 and py2app >= 0.6.4 to create a 64-bit app
 """
-from setuptools import setup
+from __future__ import print_function
+
 import os
 import string
 import sys
-#Extending recursion limit
-sys.setrecursionlimit(10000)
-
-import macholib_patch
 
 from distutils.util import get_platform
 from distutils.filelist import findall
 from distutils.sysconfig import get_python_lib
+
+from setuptools import setup
+
+import macholib_patch
+
 root = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
-platform = '%s-%s'%(get_platform(),sys.version[:3])
+platform = '%s-%s'%(get_platform(), sys.version[:3])
 doc_path = os.path.join(root, 'build', 'lib.'+platform, 'doc')
 env = os.path.join(root, 'sasview-install', 'lib', 'python2.7', 'site-packages')
 #sys.path.insert(0, env)
 
-print "BUILDING PATH INSIDE", env
+#Extending recursion limit
+sys.setrecursionlimit(10000)
+
+print("BUILDING PATH INSIDE", env)
 
 from sas.sasview import local_config
@@ -60,7 +65,9 @@
 custom_config_file = os.path.join(sasview_path, 'custom_config.py')
 local_config_file = os.path.join(sasview_path, 'local_config.py')
+logging_ini = os.path.join(sasview_path, 'logging.ini')
 DATA_FILES.append(('.', [custom_config_file]))
 DATA_FILES.append(('config', [custom_config_file]))
 DATA_FILES.append(('.', [local_config_file]))
+DATA_FILES.append(('.', [logging_ini]))
 
 # default_categories.json is beside the config files
@@ -111,5 +118,5 @@
 
 # See if the documentation has been built, and if so include it.
-print doc_path
+print(doc_path)
 if os.path.exists(doc_path):
     for dirpath, dirnames, filenames in os.walk(doc_path):
Index: setup.py
===================================================================
--- setup.py	(revision 14bb7a4559442ca97cf523eddca7216d6be1e931)
+++ setup.py	(revision d66dbcc8e869f27ec52bbe59173bde142f2c4a60)
@@ -6,4 +6,5 @@
     TODO: Add checks to see that all the dependencies are on the system
 """
+from __future__ import print_function
 
 import os
@@ -66,5 +67,5 @@
 
 if os.path.exists(SASVIEW_BUILD):
-    print "Removing existing build directory", SASVIEW_BUILD, "for a clean build"
+    print("Removing existing build directory", SASVIEW_BUILD, "for a clean build")
     shutil.rmtree(SASVIEW_BUILD)
 
Index: src/sas/sasgui/guiframe/documentation_window.py
===================================================================
--- src/sas/sasgui/guiframe/documentation_window.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/documentation_window.py	(revision d66dbcc8e869f27ec52bbe59173bde142f2c4a60)
@@ -1,35 +1,2 @@
-"""
-documentation module provides a simple means to add help throughout the
-application. It checks for the existence of html2 package needed to support
-fully html panel which supports css.  The class defined here takes a title for
-the particular help panel, a pointer to the html documentation file of interest
-within the documentation tree along with a 'command' string such as a page
-anchor or a query string etc.  The path to the doc directory is retrieved
-automatically by the class itself.  Thus with these three pieces of information
-the class generates a panel with the appropriate title bar and help file
-formatted according the style sheets called in the html file.  Finally, if an
-old version of Python is running and the html2 package is not available the
-class brings up the default browser and passes the file:/// string to it.  In
-this case however the instruction portion is usually not passed for security
-reasons.
-"""
-import os
-import logging
-import urllib
-
-import webbrowser
-import wx
-
-from sas.sasgui import get_app_dir
-
-SPHINX_DOC_ENV = "SASVIEW_DOC_PATH"
-WX_SUPPORTS_HTML2 = True
-try:
-    import wx.html2 as html
-except:
-    WX_SUPPORTS_HTML2 = False
-
-
-=======
 """
 documentation module provides a simple means to add help throughout the
Index: src/sas/sasview/welcome_panel.py
===================================================================
--- src/sas/sasview/welcome_panel.py	(revision efe730d4bba7a05c203957e4495eece8359fcd77)
+++ src/sas/sasview/welcome_panel.py	(revision d66dbcc8e869f27ec52bbe59173bde142f2c4a60)
@@ -73,5 +73,5 @@
         """
         self.frame = frame
-        if frame != None:
+        if frame is not None:
             self.frame.Bind(wx.EVT_CLOSE, self.on_close_page)
 
